### Enumeration

# Qmi NasWcdmaRrcState

since: 1.10

#### Declaration

    enum Qmi.NasWcdmaRrcState

#### Description [src]

RRC state.

Available since: 1.10

#### Members

`QMI_NAS_WCDMA_RRC_STATE_DISCONNECTED`

  Disconnected.

  - Value: `0`
  - Available since: 1.10
`QMI_NAS_WCDMA_RRC_STATE_CELL_PCH`

  WCDMA RRC state is CELL_PCH.

  - Value: `1`
  - Available since: 1.10
`QMI_NAS_WCDMA_RRC_STATE_URA_PCH`

  WCDMA RRC state is URA_PCH.

  - Value: `2`
  - Available since: 1.10
`QMI_NAS_WCDMA_RRC_STATE_CELL_FACH`

  WCDMA RRC state is CELL_FACH.

  - Value: `3`
  - Available since: 1.10
`QMI_NAS_WCDMA_RRC_STATE_CELL_DCH`

  WCDMA RRC state is CELL_DCH.

  - Value: `4`
  - Available since: 1.10

#### Type functions

###### qmi_nas_wcdma_rrc_state_get_string

Gets the nickname string for the `QmiNasWcdmaRrcState` specified at `val`.

since: 1.10